source 'https://rubygems.org'

# ruby '2.3.0'

gem 'rails'

# Servers
gem 'puma'
gem 'unicorn'

# Auth
gem 'devise'
# gem 'devise-i18n'
# gem 'cancancan'
# gem 'httparty'
# gem 'oauth2'
# gem 'omniauth'
# gem 'omniauth-facebook'
# gem 'omniauth-vkontakte'
# gem 'omniauth-github'
# gem 'omniauth-twitter'
# gem 'omniauth-google-oauth2'
# gem 'omniauth-googleplus'
# gem 'omniauth-soundcloud'

# Admin Panel
# gem 'rails_admin', '0.6.5'
# gem 'rails_admin_flatly_theme', github: 'konjoot/rails_admin_flatly_theme'

# ORM
gem 'pg'
# gem 'mysql2', '~> 0.3.17'
# gem 'mysql2', '~> 0.3.18'
# gem 'redis-rails'
# gem 'friendly_id', '~> 5.1.0'
# gem 'seed_dump'
# gem 'ar-octopus'

# Forms
gem 'simple_form'
# gem 'tinymce-rails'
# gem 'tinymce-rails-langs'

# Markdown
# gem 'redcarpet'

# Assets or something like this
gem 'jquery-rails'
gem 'coffee-rails'
gem 'sass-rails'
gem 'uglifier'
gem 'jbuilder'
gem 'turbolinks'
gem 'jquery-turbolinks'
# gem 'russian'
# gem 'babosa'
# gem 'jquery-fileupload-rails', '0.4.1'

# Other gems
gem 'slim'
gem 'countries'
gem 'country_select'
gem 'flutie'
gem 'acts_as_votable', '~> 0.10.0' # Likes
gem 'randomuser'
gem 'faker'
# gem 'sidekiq'
# gem 'whenever'
# gem 'binding_of_caller'
# gem 'kaminari'
# gem 'bootstrap-kaminari-views'
# gem 'rails_config'
# gem 'dotenv-rails' # Environment variables
# gem 'github_api'
# gem 'random_username'
# gem 'humans'
# gem 'holder_rails'
# gem 'actiontimer'
# gem 'acts-as-taggable-on', '~> 3.4'
# gem 'ckeditor'
# gem 'acts_as_commentable'
# gem "breadcrumbs_on_rails"

# Images
# gem 'paperclip'
# gem 'carrierwave'
# gem 'mini_magick'
# gem 'rmagick'

# Deploy
# gem 'capistrano', '~> 3.3.5'
# gem 'capistrano-rails', '~> 1.1.2'
# gem 'capistrano-rvm'
# gem 'capistrano3-unicorn'
# gem 'capistrano-rbenv'

group :test do
  gem 'rspec'
  gem 'cucumber'
  gem 'guard-jasmine'
  gem 'selenium-webdriver'
  gem 'capybara'
  gem 'mocha'
  gem 'factory_girl'
  gem 'factory_girl_rails'
  gem 'shoulda-matchers'
  gem 'rspec-rails'
end

group :development do
  gem 'better_errors'
  gem 'meta_request'
  gem 'annotate'
  gem 'pry-rails'
  gem 'binding_of_caller'
end

group :production do
  gem 'rails_12factor'
  # gem 'google-analytics-rails'
end

# group :doc do
#   gem 'sdoc', require: false
# end
